import type { ViewTemplate } from '@genesislcap/web-core';
import type { Navigation } from './main';
/**
 * Top level template for Navigation class
 *
 * @remarks
 *
 * Dynamic template which wraps the code in a provider
 *
 * @typeParam Navigation - Navigation class
 *
 * @returns ViewTemplate instance of the Navigation html
 *
 * @internal
 */
export declare const dynamicTemplate: ViewTemplate<Navigation>;
/**
 * Template for Navigation class
 *
 * @remarks
 *
 * Contains the template for both the sidenav and the navigation bar
 *
 * @typeParam Navigation - Navigation class
 *
 * @returns ViewTemplate instance of the Navigation html
 *
 * @public
 */
export declare const navTemplate: ViewTemplate<Navigation, any>;
/**
 * Get the template by prefix
 *
 * @param prefix - The design system prefix
 *
 * @returns The template for the given prefix
 *
 * @internal
 *
 * @remarks
 * This function is useful for getting tags when the design system prefix is not known at compile time.
 */
export declare const getTemplateByPrefix: (prefix: any) => ViewTemplate<any, any>;
/**
 * Loading template for the Navigation class
 *
 * @remarks
 *
 * Template used to indicate loading to the user
 *
 * @typeParam Navigation - Navigation class
 *
 * @returns ViewTemplate instance of the Loading html
 *
 * @internal
 */
export declare const LoadingTemplate: ViewTemplate<Navigation>;
/**
 * Render template for the Navigation class
 *
 * @remarks
 *
 * Template used when the class has finished loading
 *
 * @typeParam Navigation - Navigation class
 *
 * @returns ViewTemplate instance of the Main html
 *
 * @internal
 */
export declare const mainTemplate: ViewTemplate<Navigation, any>;
//# sourceMappingURL=main.template.d.ts.map